Bulk update node access rules status
curl --request POST \
--url https://api.chainstack.com/v2/nodes/{node_id}/access-rules/bulk-update-status/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "activated"
}
'import requests
url = "https://api.chainstack.com/v2/nodes/{node_id}/access-rules/bulk-update-status/"
payload = { "status": "activated" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'activated'})
};
fetch('https://api.chainstack.com/v2/nodes/{node_id}/access-rules/bulk-update-status/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Node access rules v2
Bulk update node access rules status with the Chainstack Platform API v2
Activate or deactivate every access rule on a node in one request using the Chainstack Platform API v2. Send a POST request to /v2/nodes//access-rules/bulk-update-status/.
POST
/
v2
/
nodes
/
{node_id}
/
access-rules
/
bulk-update-status
/
Bulk update node access rules status
Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Path Parameters
ID of the node.
Example:
"ND-123-456-789"
Body
application/json
The status to set on every access rule on the node.
Available options:
activated, deactivated Response
All access rules on the node now have the requested status. No response body.
Last modified on October 5, 2026
Was this page helpful?